* Read data.
GET DATA  /TYPE=TXT
  /FILE="...PATH...\OI_Commands_Preprocessed.dat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  Subject F3.0
  Group F1.0
  Session F1.0
  Trial F2.0
  Mode F1.0
  Item F2.0
  Phase1_Performed F1.0
  Phase2_Present F1.0
  Phase2_TimesChosen F1.0
  Phase2_OddCount F1.0
  Phase2_Occurances F2.0
  Choice F1.0
  RT F5.0
  RTTime F6.0
  ACC F1.0
  tfilter F1.0
  YesIDid F1.0.
CACHE.
EXECUTE.
DATASET NAME OI_Commands_Raw WINDOW=FRONT.

* Filter out bad items.
FILTER BY tfilter.

DATASET DECLARE OICommands_S3_AggrYes.
AGGREGATE
  /OUTFILE='OICommands_S3_AggrYes'
  /BREAK=Subject Group Phase1_Performed Phase2_Present
  /Yes=MEAN(YesIDid)
  /NTrials=N.

DATASET ACTIVATE OICommands_S3_AggrYes.

SORT CASES BY Subject Group Phase1_Performed Phase2_Present.
CASESTOVARS
  /ID=Subject Group
  /INDEX=Phase1_Performed Phase2_Present
  /GROUPBY=VARIABLE.

DATASET ACTIVATE OICommands_S3_AggrYes.

* Remove Subject 104 and the corresponding yoked participant according to feedback from the experimenter.
USE ALL.
COMPUTE sfilter = (Subject ~= 104) & (Subject ~= 204).
EXECUTE.
FILTER BY sfilter.

* Compute OI effects.
COMPUTE CommEff_Read = Yes.0.1-Yes.0.0.
COMPUTE CommEff_Perf = Yes.1.1-Yes.1.0.
EXECUTE.

* Main analysis: OI effects for each experiment.
SORT CASES BY Group Subject.
SPLIT FILE SEPARATE BY Group.

GLM Yes.0.0 Yes.0.1 Yes.1.0 Yes.1.1
  /WSFACTOR=Performed 2 Polynomial Commanded 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Performed*Commanded)
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Performed Commanded Performed*Commanded.

SPLIT FILE OFF.






* Between-group analysis.
GLM Yes.0.0 Yes.0.1 Yes.1.0 Yes.1.1 BY Group
  /WSFACTOR=Performed 2 Polynomial Commanded 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Performed*Commanded Performed*Commanded*Group Commanded*Group Commanded*Group*Performed)
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Performed Commanded Performed*Commanded
  /DESIGN=Group.

* Only read.
GLM Yes.0.0 Yes.0.1 BY Group
  /WSFACTOR=Commanded 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Commanded Commanded*Group)
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Commanded
  /DESIGN=Group.

* Only performed.
GLM Yes.1.0 Yes.1.1 BY Group
  /WSFACTOR=Commanded 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Commanded Commanded*Group)
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Commanded
  /DESIGN=Group.





