GET DATA  /TYPE=TXT
  /FILE="...PATH...\OICommands_Session_3.dat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  Subject F3.0
  Group F1.0
  Session F1.0
  Trial F2.0
  Mode F1.0
  Item F2.0
  Phase1_Performed F1.0
  Phase2_Present F1.0
  Phase2_TimesChosen F1.0
  Phase2_OddCount F1.0
  Phase2_Occurances F2.0
  Choice F1.0
  RT F5.0
  RTTime F6.0
  ACC F1.0.
CACHE.
EXECUTE.
DATASET NAME OICommands_S3_Raw WINDOW=FRONT.


* Times chosen (frequencies).
USE ALL.

COMPUTE cfilter=(Phase2_Present > 0) & (Subject ~= 104) & (Subject ~= 204).
EXECUTE.
FILTER BY cfilter.

CTABLES
  /VLABELS VARIABLES=Phase2_TimesChosen Phase2_Occurances DISPLAY=LABEL
  /TABLE BY Phase2_TimesChosen [S][MEAN] + Phase2_Occurances [S][MEAN].

CTABLES
  /VLABELS VARIABLES=Group Phase2_TimesChosen DISPLAY=LABEL
  /TABLE Group [C][COUNT F40.0] BY Phase2_TimesChosen
  /CATEGORIES VARIABLES=Group Phase2_TimesChosen ORDER=A KEY=VALUE EMPTY=EXCLUDE.

SORT CASES BY cfilter Phase2_TimesChosen.

USE ALL.
DELETE VARIABLES cfilter.

SORT CASES BY Subject Trial.

* Filter out bad items according (lapses, wrong coding, etc.) according to notes from the experimenters.
COMPUTE tfilter=(Phase2_OddCount = 0) &
((Subject ~= 101) | ((Subject = 101) & (Item ~= 41))) &
((Subject ~= 102) | ((Subject = 102) & (Item ~= 41))) &
((Subject ~= 108) | ((Subject = 108) & (Item ~= 11))) &
((Subject ~= 108) | ((Subject = 108) & (Item ~= 60))) &
((Subject ~= 113) | ((Subject = 113) & (Item ~= 35))) &
((Subject ~= 113) | ((Subject = 113) & (Item ~= 60))) &
((Subject ~= 115) | ((Subject = 115) & (Item ~= 21))) &
((Subject ~= 125) | ((Subject = 125) & (Item ~= 27))) &
((Subject ~= 125) | ((Subject = 125) & (Item ~= 37))) &
((Subject ~= 207) | ((Subject = 207) & (Item ~= 28))) &
((Subject ~= 207) | ((Subject = 207) & (Item ~= 60))) &
((Subject ~= 207) | ((Subject = 207) & (Item ~= 11))) &
((Subject ~= 207) | ((Subject = 207) & (Item ~= 22))) &
((Subject ~= 225) | ((Subject = 225) & (Item ~= 02))) &
((Subject ~= 225) | ((Subject = 225) & (Item ~= 48))) &
((Subject ~= 225) | ((Subject = 225) & (Item ~= 58))) &
((Subject ~= 225) | ((Subject = 225) & (Item ~= 35))) &
((Subject ~= 201) | ((Subject = 201) & (Item ~= 06))).
EXECUTE.
FORMATS tfilter (F1.0).
FILTER BY tfilter.


* Recode YesIDid response.
COMPUTE YesIDid = 2-Choice.
EXECUTE.
FORMATS YesIDid (F1.0).

* Save file.
SAVE TRANSLATE OUTFILE='...PATH...\OI_Preprocessed.dat'
  /TYPE=TAB
  /ENCODING='Locale'
  /MAP
  /REPLACE
  /FIELDNAMES
  /CELLS=VALUES.